## camel-charset-map camel-charset-map |

## Synopsis

                        CamelCharset;
    void                camel_charset_init                  (CamelCharset *Param1);
    void                camel_charset_step                  (CamelCharset *Param1,
                                                             const gchar *in,
                                                             gint len);
    const gchar *       camel_charset_best_name             (CamelCharset *Param1);
    const gchar *       camel_charset_best                  (const gchar *in,
                                                             gint len);
    const gchar *       camel_charset_iso_to_windows        (const gchar *isocharset);

## Description

## Details

### CamelCharset

    typedef struct {
    	guint mask;
    	gint level;
    } CamelCharset;

### camel_charset_init ()

    void                camel_charset_init                  (CamelCharset *Param1);

`Param1` : |

### camel_charset_step ()

    void                camel_charset_step                  (CamelCharset *Param1,
                                                             const gchar *in,
                                                             gint len);

`Param1` : |
`in` : |
`len` : |

### camel_charset_best_name ()

    const gchar *       camel_charset_best_name             (CamelCharset *Param1);

`Param1` : |
Returns : |

### camel_charset_best ()

    const gchar *       camel_charset_best                  (const gchar *in,
                                                             gint len);

`in` : |
`len` : |
Returns : |

### camel_charset_iso_to_windows ()

    const gchar *       camel_charset_iso_to_windows        (const gchar *isocharset);

`isocharset` : | a canonicalised ISO charset
Returns : | the equivalent Windows charset.